# Dockerfile for fuzzing deployment

FROM aflplusplus/aflplusplus

RUN apt-get update && apt-get install -y \
    vim \
    net-tools \
    build-essential \
    cmake \
    screen \
&& rm -rf /var/lib/apt/lists/*

COPY requirements.txt /requirements.txt

RUN pip3 install --upgrade pip
RUN pip3 install -r /requirements.txt

# RUN pip3 uninstall -y unicorn
# RUN rm -rf unicorn/build_python/
# RUN cd unicorn/bindings/python/ && python3 setup.py install
